/*
 * @Date: 2022-09-19 08:58:49
 * @LastEditors: 陈禹琨 cyk910622@163.com
 * @LastEditTime: 2022-09-27 10:09:34
 * @FilePath: \upcloud-wms-hnsy-web\src\views\kzyWMS\inBound\abnormity\api\index.js
 * @Description: cyk
 */
import request from "@/utils/request";
import qs from "qs";
import { upcloud_base_wh_inbound } from "@/config/serviceSettings";

export const api = {
  querySubList: upcloud_base_wh_inbound + "/exceptionHeaders/v1/extractRcvH",
  addItems: upcloud_base_wh_inbound + "/exceptionHeaders/v1/add",
  taskSplit: upcloud_base_wh_inbound + "/exceptionHeaders/v1/extractTask",
  rejectLotNo: upcloud_base_wh_inbound + "/exceptionHeaders/v1/rejectLotNo",
};

export function querySubList(parameter) {
  return request({
    method: "get",
    url: api.querySubList,
    params: parameter,
  });
}

export function addItems(parameter) {
  return request({
    method: "post",
    url: api.addItems,
    data: parameter,
  });
}

export function taskSplit(parameter) {
  return request({
    method: "get",
    url: api.taskSplit,
    params: parameter,
  });
}

// 批号驳回
export function rejectLotNo(parameter) {
  return request({
    method: "post",
    url: api.rejectLotNo,
    data: parameter,
  });
}
//查询批号
export function getRcvItemLotNum(parameter) {
  return request({
    method: "post",
    url: upcloud_base_wh_inbound + "/rcvHeaders/v1.0/getRcvItemLotNum",
    data: parameter,
  });
}
// /upcloud-base-wh-inbound/rcvHeaders/v1.0/getRcvItemLotNum
